/***************************************************************************
 *   Copyright (C) 2004-2005 by Jürgen Kofler                                   *
 *   kaffeine@gmx.net                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.           *
 ***************************************************************************/

 /*
  * Last modified: $Date: 2005/09/03 09:36:40 $ by $Author: juergenk $
  */

#ifndef PLAYLISTIMPORT_H
#define PLAYLISTIMPORT_H

/**
Static methods for playlist import.

@author Jürgen Kofler
*/

#include "kaffeine_export.h"
class MRL;
class QTime;
class QString;
class QWidget;

class KAFFEINE_EXPORT PlaylistImport
{
public:

   static bool kaffeine(const QString&, MRL::List&);
   static bool noatun(const QString&, MRL::List&);
   static bool m3u(const QString&, MRL::List&);
   static bool pls(const QString&, MRL::List&);
   static bool ram(const MRL&, MRL::List&, QWidget*);
   static bool asx(const QString&, MRL::List&);
   static bool smil(const QString&, const MRL&, MRL::List&);
   /* helper */
   static QTime stringToTime(const QString&);

private:
   static uint extractIndex(const QString&);
};

#endif
